Subject: Re: bug#17625: 24.4.50; All installed packages marked "unsigned", no archive listed

From: Daiki Ueno <[email-masked]>
Date: Tue, 30 Sep 2014 10:28:18 +0900

Ted Zlatanov <[email-masked]> writes:

> From the code it seems the EPG glue written by Daiki Ueno expects the
> keyring to live in `(expand-file-name "gnupg" package-user-dir)` which
> implies we have to provide a way, on startup, to populate that keyring
> if it's missing. I don't see any docs or functions to do that. It's not
> terribly complicated, just `gpg --homedir DIRNAME --import KEY` but it
> would be convenient for users if we provide a wrapper.

We already have it, and package-keyring.gpg is automatically imported on
startup.  See package-import-keyring and package-refresh-contents (the
caller).